<?xml version="1.0"?>
<rdf:RDF xmlns="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#"
     xml:base="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl"
     xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
     xmlns:owl="http://www.w3.org/2002/07/owl#"
     xmlns:xml="http://www.w3.org/XML/1998/namespace"
     xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
     xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">
    <owl:Ontology rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl">
        <owl:imports rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl"/>
    </owl:Ontology>



    <!--
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Object Properties
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->




    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#belongsTo -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#belongsTo">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasBusinessSector -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasBusinessSector">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Organisation"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#BusinessSector"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasId -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasId">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Identifier"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasLogType -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasLogType">
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasName -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasName">
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Organisation"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Name"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasOrganisation -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasOrganisation">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Organisation"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasOwner -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasOwner">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Organisation"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:range>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasRole -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasRole">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnyRole"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasType -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#hasType">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#isMemberOf -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#isMemberOf">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Group"/>
    </owl:ObjectProperty>



    <!--
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Classes
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->




    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Admin -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Admin">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Analyst -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Analyst">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseByExponentialMechanism -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseByExponentialMechanism">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>void</rdfs:isDefinedBy>
        <rdfs:seeAlso>PRIVACY_HIGH,PRIVACY_MEDIUM,PRIVACY_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseByFeatureExtraction -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseByFeatureExtraction">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>void</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseByGeneralization -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseByGeneralization">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>EmailRecipientAddress,EmailSenderAddress</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseByRemoval -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseByRemoval">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>dst,dhost,dmac,dntdom,src,shost,smac,sntdom,msg,request,duser</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseCountsForMean -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseCountsForMean">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>in</rdfs:isDefinedBy>
        <rdfs:seeAlso>LAPLACE_HIGH,LAPLACE_MEDIUM,LAPLACE_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseDelimitedStringsByRemoval -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseDelimitedStringsByRemoval">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst,smac,dmac,msg</rdfs:isDefinedBy>
        <rdfs:seeAlso>UPPER_SUBSTRING_HIGH_PRIVACY,UPPER_SUBSTRING_MEDIUM_PRIVACY,UPPER_SUBSTRING_LOW_PRIVACY,LOWER_SUBSTRING_HIGH_PRIVACY,LOWER_SUBSTRING_MEDIUM_PRIVACY,LOWER_SUBSTRING_LOW_PRIVACY</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseEmailBySuppression -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseEmailBySuppression">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>EmailBody</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseIPsByRandomization -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseIPsByRandomization">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>UPPER_NETMASK_FULL_PRIVACY,UPPER_NETMASK_HIGH_PRIVACY,UPPER_NETMASK_MEDIUM_PRIVACY,UPPER_NETMASK_LOW_PRIVACY,LOWER_NETMASK_FULL_PRIVACY,LOWER_NETMASK_HIGH_PRIVACY,LOWER_NETMASK_MEDIUM_PRIVACY,LOWER_NETMASK_LOW_PRIVACY</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseIPv4AsLocation -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseIPv4AsLocation">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>GEO_HIGH,GEO_MEDIUM,GEO_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseIPv4ByRandomization -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseIPv4ByRandomization">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>UPPER_NETMASK_FULL_PRIVACY,UPPER_NETMASK_HIGH_PRIVACY,UPPER_NETMASK_MEDIUM_PRIVACY,UPPER_NETMASK_LOW_PRIVACY,LOWER_NETMASK_FULL_PRIVACY,LOWER_NETMASK_HIGH_PRIVACY,LOWER_NETMASK_MEDIUM_PRIVACY,LOWER_NETMASK_LOW_PRIVACY</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseIPv6ByRandomization -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseIPv6ByRandomization">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>UPPER_NETMASK_FULL_PRIVACY,UPPER_NETMASK_HIGH_PRIVACY,UPPER_NETMASK_MEDIUM_PRIVACY,UPPER_NETMASK_LOW_PRIVACY,LOWER_NETMASK_FULL_PRIVACY,LOWER_NETMASK_HIGH_PRIVACY,LOWER_NETMASK_MEDIUM_PRIVACY,LOWER_NETMASK_LOW_PRIVACY</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseLatitude -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseLatitude">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>cs1</rdfs:isDefinedBy>
        <rdfs:seeAlso>GEO_HIGH,GEO_MEDIUM,GEO_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseLocationsWithinRadius -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseLocationsWithinRadius">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>GEO_HIGH,GEO_MEDIUM,GEO_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseLongitude -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseLongitude">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>cs2</rdfs:isDefinedBy>
        <rdfs:seeAlso>GEO_HIGH,GEO_MEDIUM,GEO_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseNumberByMedianFunction -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseNumberByMedianFunction">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>cnt,in,out,dpt,spt</rdfs:isDefinedBy>
        <rdfs:seeAlso>PRIVACY_HIGH,PRIVACY_MEDIUM,PRIVACY_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseStringBySimilarityFunction -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseStringBySimilarityFunction">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>end,start,rt</rdfs:isDefinedBy>
        <rdfs:seeAlso>PRIVACY_HIGH,PRIVACY_MEDIUM,PRIVACY_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseTimestampsWithNoise -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnonymiseTimestampsWithNoise">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>destinationServiceName</rdfs:isDefinedBy>
        <rdfs:seeAlso>PRIVACY_HIGH,PRIVACY_MEDIUM,PRIVACY_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AntiMalware -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AntiMalware">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Antivirus -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Antivirus">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnyRole -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnyRole">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#BusinessSector -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#BusinessSector">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Create -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Create">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DNS_Bind -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DNS_Bind">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DNS_unbound -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DNS_unbound">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DPI -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DPI">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataAnalyzer -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataAnalyzer">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataCollector -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataCollector">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataDispatcher -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataDispatcher">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DePseudonymiseFirewallCTI -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DePseudonymiseFirewallCTI">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>rt,start,dvchost,reason,TrendMicroDsTags,act,cs1,deviceDirection,deviceInboundInterface,TrendMicroDsFrameType,proto,cs2,src,smac,spt,dst,dmac,dpt,out,cnt,end,cs3,cs4,msg,cs5,cs6,TrendMicroDsPacketData,cat,src-dst</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DePseudonymiseMalwareCTI -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DePseudonymiseMalwareCTI">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>rt,start,end,dvchost,filePath,cs1,cs2,cs3,deviceDirection,cn1,cn2,cn3,cn4,msg,src,dst,src-dst</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Delete -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Delete">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Email -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Email">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#EncryptIPWithFHE -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#EncryptIPWithFHE">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>BLACK_LIST_FULL,BLACK_LIST_HIGH,BLACK_LIST_MEDIUM,BLACK_LIST_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#EncryptIPWithTransciphering -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#EncryptIPWithTransciphering">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#EncryptKreyvium-tbd -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#EncryptKreyvium-tbd">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Param1,Param2,Param3</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Filter -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Filter">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Column1,Column2,Column3</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Financial -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Financial">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#BusinessSector"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Firewall -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Firewall">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#FpeDecryptIPv4 -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#FpeDecryptIPv4">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>full</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#FpeEncryptIPv4 -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#FpeEncryptIPv4">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>full</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Group -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Group">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Honeypot -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Honeypot">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#IDS -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#IDS">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Identifier -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Identifier">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeBruteForceAttacksDetection -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeBruteForceAttacksDetection">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeConnToMaliciousHosts -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeConnToMaliciousHosts">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeDDosAttacksDetection -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeDDosAttacksDetection">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeDetectDGA -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeDetectDGA">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeFHEonIP -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeFHEonIP">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeFindMalware -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeFindMalware">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeFindVulnerability -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeFindVulnerability">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeLegacyAnalytics -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeLegacyAnalytics">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeMaliciousHostsAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeMaliciousHostsAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeMalwarePropagationModelling -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeMalwarePropagationModelling">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeMatchDGA -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeMatchDGA">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeOutbreakMalwareAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeOutbreakMalwareAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSpamEmailAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSpamEmailAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSpamEmailClassify -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSpamEmailClassify">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSpamEmailClusterer -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSpamEmailClusterer">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSpamEmailDetect -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSpamEmailDetect">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSuspiciousDnsRequestsAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokeSuspiciousDnsRequestsAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokefindAttackingHosts -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#InvokefindAttackingHosts">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Move -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Move">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Name -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Name">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Network_NetflowV9 -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Network_NetflowV9">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#NotifyUserOn -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#NotifyUserOn">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>mail,sms</rdfs:isDefinedBy>
        <rdfs:seeAlso>__USEREDITABLE__</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Organisation -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Organisation">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#OtherData -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#OtherData">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Parties -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Parties">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#PseudonymiseFirewallCTI -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#PseudonymiseFirewallCTI">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>rt,start,dvchost,reason,TrendMicroDsTags,act,cs1,deviceDirection,deviceInboundInterface,TrendMicroDsFrameType,proto,cs2,src,smac,spt,dst,dmac,dpt,out,cnt,end,cs3,cs4,msg,cs5,cs6,TrendMicroDsPacketData,cat,src-dst</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#PseudonymiseMalwareCTI -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#PseudonymiseMalwareCTI">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>rt,start,end,dvchost,filePath,cs1,cs2,cs3,deviceDirection,cn1,cn2,cn3,cn4,msg,src,dst,src-dst</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Read -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Read">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#SSH_Auth -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#SSH_Auth">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#SecurityReport -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#SecurityReport">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#Subject">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#System">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#WebReputation -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#WebReputation">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!--
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Individuals
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->




    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#LogType1 -->

    <owl:NamedIndividual rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.4.owl#LogType1"/>
</rdf:RDF>



<!-- Generated by the OWL API (version 4.2.8.20170104-2310) https://github.com/owlcs/owlapi -->

